> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Check entry

> Checks whether a value exists in a dataset.

Checks whether a specific value exists in the dataset.

**Path parameters:**

| Parameter    | Description |
| :----------- | :---------- |
| `dataset_id` | Dataset ID  |

**Query parameters:**

| Parameter | Required | Description          |
| :-------- | :------- | :------------------- |
| `value`   | Yes      | The value to look up |

```bash theme={null}
curl -X GET "https://api.allium.so/api/v1/beam/datasets/${DATASET_ID}/entries/check?value=0x3c499c542cef5e3811e1192ce70d8cc03d5c3359" \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

**Response:**

```json theme={null}
{ "exists": true }
```


## OpenAPI

````yaml _openapi/beam-api.json GET /api/v1/beam/datasets/{dataset_id}/entries/check
openapi: 3.1.0
info:
  title: Allium Beam API
  description: Allium Beam — managed streaming pipelines on top of Allium Datastreams.
  version: 1.0.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/beam/datasets/{dataset_id}/entries/check:
    get:
      tags:
        - BEAM
      summary: Check Entry Handler
      operationId: check_entry_handler_api_v1_beam_datasets__dataset_id__entries_check_get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: value
          in: query
          required: true
          schema:
            type: string
            title: Value
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetEntryCheckResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    DatasetEntryCheckResponse:
      properties:
        exists:
          type: boolean
          title: Exists
      type: object
      required:
        - exists
      title: DatasetEntryCheckResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````